curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/{marketingEventId}/breakdown \
--header 'Authorization: Bearer <token>'{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"attendanceState": "ATTENDED",
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}マーケティングイベントの参加内訳に任意のフィルターを適用して、内部識別子のmarketingEventIdで読み取ります。
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/{marketingEventId}/breakdown \
--header 'Authorization: Bearer <token>'{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"attendanceState": "ATTENDED",
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
HubSpotのマーケティングイベントの内部ID。
最後に取得した項目の位置を示すカーソル。
コンタクトの識別子。Eメールまたは内部IDです。
返信サイズの上限。デフォルトは10で最大値は100です
参加状態値。REGISTERED、CANCELLED、ATTENDED、NO_SHOWのいずれかです